Xapian::DocumentSet Class Reference

Class representing a set of documents in a cluster. More...

`#include <cluster.h>`

## Public Member Functions

| DocumentSet (const DocumentSet &other)
| Copying is allowed.
DocumentSet & | operator= (const DocumentSet &other)
| Assignment is allowed.
| DocumentSet (DocumentSet &&other)
| Move constructor.
DocumentSet & | operator= (DocumentSet &&other)
| Move assignment operator.
| DocumentSet ()
| Default constructor.
| ~DocumentSet ()
| Destructor.
Xapian::doccount | size () const
| Return the size of the DocumentSet.
const Xapian::Document & | operator[] (Xapian::doccount i) const
| Return the Document in the DocumentSet at index i.
void | add_document (const Document &document)
| Add a new Document to the DocumentSet.

## Detailed Description

Class representing a set of documents in a cluster.

## Constructor & Destructor Documentation

## DocumentSet() [1/2]

Xapian::DocumentSet::DocumentSet | ( | const DocumentSet & | other | ) |

Copying is allowed.

The internals are reference counted, so copying is cheap.

Parameters

  other | The object to copy.

References DocumentSet().

Referenced by DocumentSet(), DocumentSet(), operator=(), and operator=().

## DocumentSet() [2/2]

Xapian::DocumentSet::DocumentSet | ( | DocumentSet && | other | ) |

Move constructor.

Parameters

  other | The object to move.

References DocumentSet().

## Member Function Documentation

## add_document()

void Xapian::DocumentSet::add_document | ( | const Document & | document | ) |

Add a new Document to the DocumentSet.

Parameters

  document | Document object that is to be added to the DocumentSet

## operator=() [1/2]

DocumentSet & Xapian::DocumentSet::operator= | ( | const DocumentSet & | other | ) |

Assignment is allowed.

The internals are reference counted, so assignment is cheap.

Parameters

  other | The object to copy.

References DocumentSet().

## operator=() [2/2]

DocumentSet & Xapian::DocumentSet::operator= | ( | DocumentSet && | other | ) |

Move assignment operator.

Parameters

  other | The object to move.

References DocumentSet().

The documentation for this class was generated from the following file:

- xapian/cluster.h